<?php
date_default_timezone_set('Africa/Gaborone');
$entry_date = date("Y-m-d H:i:s");

$table_name = $_SESSION['db_prefix']."_alerts";
	$alert_query = "SELECT user_name, condition_1, send_alert, send_email FROM $table_name WHERE alert_name = 'Order quantity' ";
	$alert_result = mySQL_query($alert_query);
	$alert_num = mysql_num_rows($alert_result);
			
	$i=0;
	$email_address = '';
	while ($i<$alert_num) {
		$user_name = mysql_result($alert_result, $i, "user_name");
		$condition_1 = mysql_result($alert_result, $i, "condition_1");
		$send_alert = mysql_result($alert_result, $i, "send_alert");
		$send_email = mysql_result($alert_result, $i, "send_email");
		
		if ($total_qty>$condition_1) {
		
		if ($send_alert=='yes') {
			$table_name = $_SESSION['db_prefix']."_alerts_store";
			$message_query = "INSERT INTO $table_name (user_name, department, generated, alert, detail_1, detail_2, detail_3 ) VALUES ('".$user_name."', 'store', '".$entry_date."', '31', '".$order_reference."', '".$_SESSION['username']."', '".$total_qty."' ) ";
			execsql($message_query);
		}
		
		
		if ($send_email=='yes') {
			$table_name = $_SESSION['db_prefix']."_users";
			$address_query = "SELECT email FROM $table_name WHERE username = '".$user_name."' ";
			$address_result = mySQL_query($address_query);
			$email_address = mysql_result($address_result, 0, "email").', '.$email_address;
		}
		
		}
	$i++;	
	}



$table_name2 = $_SESSION['db_prefix']."_customer";
				$customer_query = "SELECT comp_name FROM $table_name2 WHERE cust_id ='".$_SESSION['cust_id']."' ";
				$customer_result = mySQL_query($customer_query);
				$customer_num = mysql_num_rows($customer_result);	
				$comp_name = mysql_result($customer_result, 0, "comp_name"); 

		
if ($email_address!='') {			
			$subject = "New order for Radstone Namibia";
			$message = "<body><font face=Calibri size=3>A new order, no ".$_SESSION['order_no']." was received on ".date('d-m-Y, H:m', strtotime($entry_date ))." by ".$_SESSION['username'].".<br><br>Customer: ".$comp_name."<br>Total quantity of products on this order: ".$total_qty."<br><br>For more info, login at <a href=costing.tocotex.com/bypass.php?c=nmb&a=order&r=".$order_reference."&e=>Radstone Namibia Management Program</a>.<br><br><font face=Calibri size=3 color=red><b>This message comes from a non-responsive address, please do not reply</b></font><body>";
			include ('alert_to_email.php');
		}
			

	
	
?>